org.apache.cassandra.auth

## Interface IResource

- All Known Implementing Classes:
    DataResource

      public interface IResource

  The interface at the core of Cassandra authorization. Represents a resource in the hierarchy. Currently just one resource type is supported by Cassandra
  See Also:
    `DataResource`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `exists()`
    `java.lang.String` | `getName()`
    `IResource` | `getParent()` Gets next resource in the hierarchy.
    `boolean` | `hasParent()` Indicates whether or not this resource has a parent in the hierarchy.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns:
        printable name of the resource.

    - #### getParent

          IResource getParent()

      Gets next resource in the hierarchy. Call hasParent first to make sure there is one.
      Returns:
        Resource parent (or IllegalStateException if there is none). Never a null.

    - #### hasParent

          boolean hasParent()

      Indicates whether or not this resource has a parent in the hierarchy. Please perform this check before calling getParent() method.
      Returns:
        Whether or not the resource has a parent.

    - #### exists

          boolean exists()

      Returns:
        Whether or not this resource exists in Cassandra.

Copyright © 2014 The Apache Software Foundation